%define name talkfilters
%define version 2.3.8
%define release %mkrel 4
%define major 1
%define libname %mklibname %name %major
%define libnamedev %mklibname -d %name

Summary: GNU Talk filters
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Patch: talkfilters-2.3.7-info-dir.patch
License: GPL
Group: Toys
Url: http://www.hyperrealm.com/talkfilters/talkfilters.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: texinfo

%description
The GNU Talk Filters are filter programs that convert ordinary English
text into text that mimics a stereotyped or otherwise humorous
dialect. These filters have been in the public domain for many years,
but now for the first time they are provided as a single integrated
package. The filters include austro, b1ff, brooklyn, chef, cockney,
drawl, dubya, fudd, funetak, jethro, jive, kraut, pansy, pirate,
postmodern, redneck, valspeak, and warez. Each program reads from
standard input and writes to standard output. The package also
provides the filters as a C library, so they can be easily used by
other programs.

%package -n %libname
Summary: GNU Talk filters shared library
Group: System/Libraries
%description -n %libname
The GNU Talk Filters are filter programs that convert ordinary English
text into text that mimics a stereotyped or otherwise humorous
dialect. These filters have been in the public domain for many years,
but now for the first time they are provided as a single integrated
package. The filters include austro, b1ff, brooklyn, chef, cockney,
drawl, dubya, fudd, funetak, jethro, jive, kraut, pansy, pirate,
postmodern, redneck, valspeak, and warez. Each program reads from
standard input and writes to standard output. The package also
provides the filters as a C library, so they can be easily used by
other programs.

%package -n %libnamedev
Summary: GNU Talk filters shared library
Group: Development/C
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Requires(post): info-install
Requires(preun): info-install

%description -n %libnamedev
The GNU Talk Filters are filter programs that convert ordinary English
text into text that mimics a stereotyped or otherwise humorous
dialect. These filters have been in the public domain for many years,
but now for the first time they are provided as a single integrated
package. The filters include austro, b1ff, brooklyn, chef, cockney,
drawl, dubya, fudd, funetak, jethro, jive, kraut, pansy, pirate,
postmodern, redneck, valspeak, and warez. Each program reads from
standard input and writes to standard output. The package also
provides the filters as a C library, so they can be easily used by
other programs.


%prep
%setup -q
%patch -p1 -b .info-dir

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif
%post -n %libnamedev
%_install_info %{name}.info
%preun -n %libnamedev
%_remove_install_info %{name}.info


%files
%defattr(-,root,root)
%doc README AUTHORS
%_bindir/*
%_mandir/man1/*

%files -n %libname
%defattr(-,root,root)
%_libdir/libtalkfilters.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%doc ChangeLog
%_libdir/libtalkfilters.so
%_libdir/libtalkfilters.a
%_libdir/libtalkfilters.la
%_libdir/pkgconfig/*
%_includedir/*
%_infodir/talkfilters.info*


%changelog
* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.8-4mdv2009.0
+ Revision: 261372
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.8-3mdv2009.0
+ Revision: 254109
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 2.3.8-1mdv2008.1
+ Revision: 139618
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.3.7-3mdv2008.0
+ Revision: 53859
- fix devel provides

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.3.7-2mdv2008.0
+ Revision: 53858
- add proper info dir entry

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.3.7-1mdv2008.0
+ Revision: 53804
- Import talkfilters



* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.3.7-1mdv2008.0
- initial package
